io.undertow.server.session

## Interface SessionIdGenerator

All Known Implementing Classes:
  SecureRandomSessionIdGenerator

    public interface SessionIdGenerator

Strategy for generating session ID's. The session manager is not required to support pluggable session id generation, it is an optional feature.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `createSessionId()`

### Method Detail

#### createSessionId

    String createSessionId()